Namespaces
Create a namespace
Creates a namespace with status 201. Names are unique within the organization; a duplicate conflicts.
Creates a namespace with status 201. Names are unique within the organization; a duplicate conflicts.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Match
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 128metadata?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/namespaces" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "name": "string", "createdAt": "string", "metadata": { "property1": "string", "property2": "string" }, "updatedAt": "string"}